####### This section is automatically generated from
#######    /home/hanord/qt/examples/Makefile

INCDIR	=	$(QTDIR)/include
CFLAGS	=	-O2
LFLAGS	=	-L$(QTDIR)/lib -lqt
CC	=	gcc
MOC	=	moc

####### End of automatically generated section
#
# $Source: /local/lib/cvs/qt/examples/showimg/Makefile,v $
#

#######	Files

SOURCES	=	showimg.cpp	main.cpp
HEADERS =	showimg.h
OBJECTS	=	showimg.o	main.o
SRCMETA	=	mshowimg.cpp
OBJMETA	=	mshowimg.o
TARGET	=	showimg

#######	Implicit rules

.SUFFIXES: .cpp

.cpp.o:
	$(CC) -c $(CFLAGS) -I$(INCDIR) $<

#######	Build rules

all: $(TARGET)

$(TARGET): $(OBJECTS) $(OBJMETA)
	$(CC) $(OBJECTS) $(OBJMETA) -o $(TARGET) $(LFLAGS)

depend: $(SRCMETA)
	@makedepend -I$(INCDIR) $(SOURCES) $(SRCMETA) 2> /dev/null

showfiles:
	@echo $(SOURCES) $(HEADERS) Makefile

clean:
	-rm -f *.o *.bak *BAK *~ *% #*
	-rm -f $(SRCMETA) $(TARGET)

#######	Meta objects

mshowimg.cpp: showimg.h
	$(MOC) showimg.h -o mshowimg.cpp


# DO NOT DELETE THIS LINE -- make depend depends on it.
